--Configuration setup
function StrudelStoreConfig:SetupConfig()
--Locale loading
local L = LibStub("AceLocale-3.0"):GetLocale("StrudelStore", true);
local options = {
    name = L["OptionFrameTitle"],
    handler = StrudelStoreConfig,
    type = 'group',
    args = {
		generalgroup = {
			name = "General",
			type = "group",
			args = {
				minimap = {
					type = 'toggle',
					name = L["ShowMinimap"],
					desc = L["CheckMinimap_ToolTip"],
					set = 'SetShowMinimapButton',
					get = 'GetShowMinimapButton',
				},  
				onlogin = {
					type = 'toggle',
					name = L["ShowOnLogon"],
					desc = L["CheckLogon_ToolTip"],
					set = 'SetLogonShow',
					get = 'GetLogonShow',
				},
			},
			inline = true,
		},
		
	
        
		 
		
    },
};
StrudelStoreConfig:RegisterOptionsTable("StrudelStore", options, {"strudel", "strudelstore"});
StrudelStoreConfigDialog:AddToBlizOptions("StrudelStore","StrudelStore");
end

--Getters and Setters
--Getters and Setters
--Getters and Setters
--Minimap
function StrudelStoreConfig:GetShowMinimapButton(info)
    return not StrudelStoreMain.db.char.minimap.hide;
end

function StrudelStoreConfig:SetShowMinimapButton(info, input)
	if input then StrudelStoreIcon:Show("StrudelStore"); else StrudelStoreIcon:Hide("StrudelStore"); end
    StrudelStoreMain.db.char.minimap.hide = not input;
end

--Startup
function StrudelStoreConfig:GetLogonShow(info)
    return StrudelStoreMain.db.char.startupshow;
end

function StrudelStoreConfig:SetLogonShow(info, input)
    StrudelStoreMain.db.char.startupshow = input;
end
