--Library loading
StrudelStoreMain = LibStub("AceAddon-3.0"):NewAddon("StrudelStore", "AceEvent-3.0","AceConsole-3.0");
StrudelStoreConfig = LibStub("AceConfig-3.0");
StrudelStoreConfigDialog = LibStub("AceConfigDialog-3.0");
StrudelStoreGui = LibStub("AceGUI-3.0");
StrudelStoreIcon = LibStub("LibDBIcon-1.0");

--Register Slash commands
StrudelStoreMain:RegisterChatCommand("Strudel", "OnSlashCommand");
StrudelStoreMain:RegisterChatCommand("Strudelstore", "OnSlashCommand");

--Default database values
DBDefaults = {
  char = {
	startupshow = true,
	currlayout = 1,
	minimap = {
		hide = false,
	},
  },
}
--Initializing the Addon
function StrudelStoreMain:OnInitialize()
self:RegisterEvent("VARIABLES_LOADED");
self:RegisterEvent("PLAYER_REGEN_DISABLED");
self.db = LibStub("AceDB-3.0"):New("StrudelStoreDB",DBDefaults);
StrudelStoreConfig:SetupConfig();
end
--Building the GUI
function StrudelStoreMain:VARIABLES_LOADED()
local L = LibStub("AceLocale-3.0"):GetLocale("StrudelStore", true);
StrudelStoreMain:Print("|cFF99CCFF [StrudelStore] |r" .. L["WelcomeMessage"]);
self.mainframe = StrudelStoreGui:BuildGui();
if not self.db.char.startupshow then
StrudelStoreGui:Release(self.mainframe);
end
self:CreateMinimapButton();
end

function StrudelStoreMain:PLAYER_REGEN_DISABLED()
if self.mainframe:IsVisible() then
StrudelStoreGui:Release(StrudelStoreMain.mainframe);
end
end

function StrudelStoreMain:CreateMinimapButton()
local L = LibStub("AceLocale-3.0"):GetLocale("StrudelStore", true);
local StrudelStoreMiniMap = LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("StrudelStore", {
	type = "launcher",
	icon = "Interface\\Icons\\Ability_Mage_ConjureFoodRank10",
	tocname = "StrudelStore",
	OnClick = function(clickedframe, button)
	  if button == "LeftButton" then
		StrudelStoreGui:ToggleMainWindow();
	   end
	   if button == "RightButton" then
		InterfaceOptionsFrame_OpenToCategory("StrudelStore "..GetAddOnMetadata("StrudelStore", "Version"));
	   end
	end,		
	OnTooltipShow = function(tt)
		tt:AddLine("StrudelStore")
		tt:AddLine("|cFF00FF00"..L["InstructionsMinimap"])
	end,		
});
StrudelStoreIcon:Register("StrudelStore", StrudelStoreMiniMap, self.db.char.minimap);
end
