--******************************
--PORTALS
--******************************
function StrudelStoreGui:GetPortalButtons()
local L = LibStub("AceLocale-3.0"):GetLocale("StrudelStore", true);
local buttons = {};
local iconwidth = 35;
local iconheight = 35;
local iconoffset = 6;
local spellTable = {};
if UnitFactionGroup("player") == "Alliance" then

	spellTable = {10059, 11416, 11419, 32266,
           33691, 53142, 49360, 88345, 132620, 176246, 120146, 224871, 281400}
		   
elseif UnitFactionGroup("player") == "Horde" then

	spellTable = {11417, 11420, 11418, 32267,
           35717, 53142, 49361, 88346, 132626, 176244, 120146, 224871, 281402}
else
	StrudelStoreMain:Print("Please choose a faction first")
end	   

--Create the buttons
for i, spellId in ipairs(spellTable) do
	local name, rank, icon, castTime, minRange, maxRange = GetSpellInfo(spellId)
	local sst_button = self:Create("SecureActionTemplateIcon")
	sst_button:SetImage(icon);
	sst_button:SetImageSize(iconwidth, iconheight);
	sst_button:SetWidth(iconwidth + iconoffset);
	sst_button:SetHeight(iconheight);
	sst_button:SetAction("spell",spellId);
	sst_button:SetTooltip(name);
	sst_button:SetDisabled(not IsUsableSpell(name));
	table.insert(buttons,sst_button);
end
return buttons;
end
--******************************
--TELEPORTS
--******************************
function StrudelStoreGui:GetTeleportButtons()
local L = LibStub("AceLocale-3.0"):GetLocale("StrudelStore", true);
local buttons = {};
local iconwidth = 35;
local iconheight = 35;
local iconoffset = 6;
local spellTable = {};
if UnitFactionGroup("player") == "Alliance" then

	spellTable = {3561, 3562, 3565, 32271,
           33690, 53140, 49359, 88342, 132621, 176248, 120145, 224869, 281403, 193759}
		   
elseif UnitFactionGroup("player") == "Horde" then

	spellTable = {3567, 3566, 3563, 32272,
           35715, 53140, 49358, 88344, 132627, 176242, 120145, 224869, 281404, 193759}
		   
else
	StrudelStoreMain:Print("Please choose a faction first")
end
--Create the buttons
for i, spellId in ipairs(spellTable) do
	local name, rank, icon, castTime, minRange, maxRange = GetSpellInfo(spellId)
	local sst_button = self:Create("SecureActionTemplateIcon")
	sst_button:SetImage(icon);
	sst_button:SetImageSize(iconwidth, iconheight);
	sst_button:SetWidth(iconwidth + iconoffset);
	sst_button:SetHeight(iconheight);
	sst_button:SetAction("spell",spellId);
	sst_button:SetTooltip(name);
	sst_button:SetDisabled(not IsUsableSpell(name));
	table.insert(buttons,sst_button);
end
return buttons;
end